Index: lemon/edmonds_karp.h
===================================================================
--- lemon/edmonds_karp.h	(revision 2036)
+++ lemon/edmonds_karp.h	(revision 2037)
@@ -102,10 +102,10 @@
     ///
     /// The constructor of the class. 
-    /// \param _graph The directed graph the algorithm runs on. 
-    /// \param _source The source node.
-    /// \param _target The target node.
-    /// \param _capacity The capacity of the edges. 
-    /// \param _flow The flow of the edges. 
-    /// \param _tolerance Tolerance class.
+    /// \param graph The directed graph the algorithm runs on. 
+    /// \param source The source node.
+    /// \param target The target node.
+    /// \param capacity The capacity of the edges. 
+    /// \param flow The flow of the edges. 
+    /// \param tolerance Tolerance class.
     /// Except the graph, all of these parameters can be reset by
     /// calling \ref source, \ref target, \ref capacityMap and \ref
@@ -253,4 +253,5 @@
     /// Sets \c cut to the characteristic vector of a minimum value cut
     /// It simply calls the minMinCut member.
+    /// \retval cut Write node bool map. 
     template <typename CutMap>
     void minCut(CutMap& cut) const {
@@ -263,4 +264,5 @@
     /// which is inclusionwise minimum. It is computed by processing a
     /// bfs from the source node \c source in the residual graph.  
+    /// \retval cut Write node bool map. 
     template <typename CutMap>
     void minMinCut(CutMap& cut) const {
@@ -284,4 +286,5 @@
     /// which is inclusionwise minimum. It is computed by processing a
     /// bfs from the source node \c source in the residual graph.  
+    /// \retval cut Write node bool map. 
     template <typename CutMap>
     void maxMinCut(CutMap& cut) const {
Index: lemon/graph_adaptor.h
===================================================================
--- lemon/graph_adaptor.h	(revision 2034)
+++ lemon/graph_adaptor.h	(revision 2037)
@@ -20,11 +20,11 @@
 #define LEMON_GRAPH_ADAPTOR_H
 
-/// \ingroup graph_adaptors
-/// \file
-/// \brief Several graph adaptors.
+///\ingroup graph_adaptors
+///\file
+///\brief Several graph adaptors.
 ///
-/// This file contains several useful graph adaptor functions.
+///This file contains several useful graph adaptor functions.
 ///
-/// \author Marton Makai and Balazs Dezso
+///\author Marton Makai and Balazs Dezso
 
 #include <lemon/bits/invalid.h>
@@ -75,7 +75,4 @@
     GraphAdaptorBase(Graph& _graph) : graph(&_graph) { }
 
-    Graph& getGraph() { return *graph; }
-    const Graph& getGraph() const { return *graph; }
- 
     typedef typename Graph::Node Node;
     typedef typename Graph::Edge Edge;
@@ -1480,37 +1477,37 @@
   ///\brief An adaptor for composing the residual
   ///graph for directed flow and circulation problems.
+  ///
   ///\ingroup graph_adaptors
   ///
   ///An adaptor for composing the residual graph for
   ///directed flow and circulation problems. 
-  ///Let \f$ G=(V, A) \f$ be a directed graph and let \f$ F \f$ be a 
-  ///number type. Let moreover 
-  ///\f$ f,c:A\to F \f$, be functions on the edge-set. 
-  ///In the appications of ResGraphAdaptor, \f$ f \f$ usually stands for a flow 
-  ///and \f$ c \f$ for a capacity function.   
-  ///Suppose that a graph instange \c g of type 
-  ///\c ListGraph implements \f$ G \f$.
-  ///\code
-  ///  ListGraph g;
-  ///\endcode
-  ///Then RevGraphAdaptor implements the graph structure with node-set 
-  ///\f$ V \f$ and edge-set \f$ A_{forward}\cup A_{backward} \f$, where 
-  ///\f$ A_{forward}=\{uv : uv\in A, f(uv)<c(uv)\} \f$ and 
-  ///\f$ A_{backward}=\{vu : uv\in A, f(uv)>0\} \f$, 
-  ///i.e. the so called residual graph. 
-  ///When we take the union \f$ A_{forward}\cup A_{backward} \f$, 
-  ///multilicities are counted, i.e. if an edge is in both 
-  ///\f$ A_{forward} \f$ and \f$ A_{backward} \f$, then in the adaptor it 
-  ///appears twice. 
-  ///The following code shows how 
-  ///such an instance can be constructed.
-  ///\code
-  ///typedef ListGraph Graph;
-  ///Graph::EdgeMap<int> f(g);
-  ///Graph::EdgeMap<int> c(g);
-  ///ResGraphAdaptor<Graph, int, Graph::EdgeMap<int>, Graph::EdgeMap<int> > ga(g);
-  ///\endcode
-  ///\author Marton Makai
-  ///
+//   ///Let \f$ G=(V, A) \f$ be a directed graph and let \f$ F \f$ be a 
+//   ///number type. Let moreover 
+//   ///\f$ f,c:A\to F \f$, be functions on the edge-set. 
+//   ///In the appications of ResGraphAdaptor, \f$ f \f$ usually stands for a 
+//   ///flow and \f$ c \f$ for a capacity function.   
+//   ///Suppose that a graph instange \c g of type 
+//   ///\c ListGraph implements \f$ G \f$.
+//   ///\code
+//   /// ListGraph g;
+//   ///\endcode
+//   ///Then RevGraphAdaptor implements the graph structure with node-set 
+//   ///\f$ V \f$ and edge-set \f$ A_{forward}\cup A_{backward} \f$, where 
+//   ///\f$ A_{forward}=\{uv : uv\in A, f(uv)<c(uv)\} \f$ and 
+//   ///\f$ A_{backward}=\{vu : uv\in A, f(uv)>0\} \f$, 
+//   ///i.e. the so called residual graph. 
+//   ///When we take the union \f$ A_{forward}\cup A_{backward} \f$, 
+//   ///multilicities are counted, i.e. if an edge is in both 
+//   ///\f$ A_{forward} \f$ and \f$ A_{backward} \f$, then in the adaptor it 
+//   ///appears twice. The following code shows how such an instance can be 
+//   ///constructed.
+//   ///\code
+//   /// typedef ListGraph Graph;
+//   /// Graph::EdgeMap<int> f(g);
+//   /// Graph::EdgeMap<int> c(g);
+//   /// ResGraphAdaptor<Graph, int, Graph::EdgeMap<int>, Graph::EdgeMap<int> > ga(g);
+//   ///\endcode
+//   ///\author Marton Makai
+//   ///
   template<typename Graph, typename Number, 
 	   typename CapacityMap, typename FlowMap,
@@ -1561,6 +1558,4 @@
 
   public:
-
-    const Graph& getGraph() const { return ugraph.getGraph(); }
 
     /// \brief Constructor of the residual graph.
Index: lemon/graph_reader.h
===================================================================
--- lemon/graph_reader.h	(revision 1956)
+++ lemon/graph_reader.h	(revision 2037)
@@ -40,8 +40,4 @@
   /// description of  \ref graph-io-page "Graph Input-Output".
   ///
-  /// If you don't need very sophisticated
-  /// behaviour then you can use the versions of the public function
-  /// \ref readGraph() to read a graph (or a max flow instance etc).
-  ///
   /// The file to be read may contain several maps and labeled nodes or 
   /// edges.
@@ -385,8 +381,4 @@
   /// description of  \ref graph-io-page "Graph Input-Output".
   ///
-  /// If you don't need very sophisticated
-  /// behaviour then you can use the versions of the public function
-  /// \ref readGraph() to read a graph (or a max flow instance etc).
-  ///
   /// The given file format may contain several maps and labeled nodes or 
   /// edges.
Index: lemon/graph_writer.h
===================================================================
--- lemon/graph_writer.h	(revision 1956)
+++ lemon/graph_writer.h	(revision 2037)
@@ -41,8 +41,4 @@
   /// description of  \ref graph-io-page "Graph Input-Output".
   ///
-  /// If you don't need very sophisticated
-  /// behaviour then you can use the versions of the public function
-  /// \ref writeGraph() to output a graph (or a max flow instance etc).
-  ///
   /// To write a graph
   /// you should first give writing commands to the writer. You can declare
Index: lemon/grid_ugraph.h
===================================================================
--- lemon/grid_ugraph.h	(revision 1999)
+++ lemon/grid_ugraph.h	(revision 2037)
@@ -372,6 +372,6 @@
   ///\endcode
   ///
-  /// The graph type is fully conform to the \ref concept::UUGraph
-  /// "Undirected UGraph" concept.
+  /// The graph type is fully conform to the \ref concept::UGraph
+  /// "Undirected Graph" concept.
   ///
   /// \author Balazs Dezso
Index: lemon/min_cost_arborescence.h
===================================================================
--- lemon/min_cost_arborescence.h	(revision 2025)
+++ lemon/min_cost_arborescence.h	(revision 2037)
@@ -58,5 +58,5 @@
     ///
     /// The type of the map that stores which edges are in the arborescence.
-    /// It must meet the \ref concept::WritedMap "WriteMap" concept.
+    /// It must meet the \ref concept::WriteMap "WriteMap" concept.
     /// Initially it will be setted to false on each edge. After it
     /// will set all arborescence edges once.
Index: lemon/min_cut.h
===================================================================
--- lemon/min_cut.h	(revision 1993)
+++ lemon/min_cut.h	(revision 2037)
@@ -121,5 +121,5 @@
     ///
     /// This function instantiates a \ref ProcessedMap. 
-    /// \param g is the graph, to which
+    /// \param graph is the graph, to which
     /// we would like to define the \ref ProcessedMap
 #ifdef DOXYGEN
@@ -363,6 +363,6 @@
     /// \brief Constructor.
     ///
-    ///\param _graph the graph the algorithm will run on.
-    ///\param _capacity the capacity map used by the algorithm.
+    ///\param graph the graph the algorithm will run on.
+    ///\param capacity the capacity map used by the algorithm.
     MaxCardinalitySearch(const Graph& graph, const CapacityMap& capacity) :
       _graph(&graph), _capacity(&capacity),
Index: lemon/ugraph_adaptor.h
===================================================================
--- lemon/ugraph_adaptor.h	(revision 2031)
+++ lemon/ugraph_adaptor.h	(revision 2037)
@@ -64,7 +64,4 @@
 
     void setGraph(Graph& _graph) { graph=&_graph; }
-
-    Graph& getGraph() { return *graph; }
-    const Graph& getGraph() const { return *graph; }
 
   public:
